summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 3c757578a..90257f1c0 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -43,6 +43,9 @@ elif [ "${OS_ID}" == "centos" ]; then
elif [ "${OS_ID}" == "opensuse" ]; then
yum list installed || true
pip list || true
+elif [ "${OS_ID}" == "opensuse-leap" ]; then
+ yum list installed || true
+ pip list || true
fi
##This will remove any previously installed dpdk for old branch builds
@@ -59,5 +62,8 @@ if [ "${GERRIT_BRANCH}" != "master" ]; then
elif [ "${OS_ID}" == "opensuse" ]; then
sudo yum -y erase vpp-dpdk-devel || true
sudo yum -y erase vpp-ext-deps || true
+ elif [ "${OS_ID}" == "opensuse-leap" ]; then
+ sudo yum -y erase vpp-dpdk-devel || true
+ sudo yum -y erase vpp-ext-deps || true
fi
fi